Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IONotificationMessage.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IONotificationMessage.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IONotificationMessage.cs	(revision 484)
@@ -91,6 +91,48 @@
 
         #endregion
 
+        #region テーブルのフィールドリストを作成する
+        /// <summary>
+        /// テーブルのフィールドリストを作成する
+        /// </summary>
+        /// <returns></returns>
+        public static string CreateFieldNameList(string strAlias = "")
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.Append(" ");
+                bool bColFirst = true;
+                string strWork = string.Empty;
+                foreach (var gender in Enum.GetValues(typeof(ColumnCnt)))
+                {
+                    strWork = gender.ToString();
+                    if (!bColFirst) strcmd.Append(",");
+                    if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
+                    {
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d %H:%i:%s') As {1}", strAlias, strWork);
+                    }
+                    else if (strWork.Equals("MessageDate"))
+                    {
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d') As {1}", strAlias, strWork);
+                    }
+                    else
+                    {
+                        strcmd.AppendFormat(" {0}{1}", strAlias, strWork);
+                    }
+                    bColFirst = false;
+                }
+
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
+        }
+        #endregion
+
         #region お知らせ情報検索文字作成
         /// <summary>
         /// お知らせ情報検索文字作成
@@ -98,33 +140,17 @@
         private string CreateSelectSQL()
         {
             StringBuilder strcmd = new StringBuilder();
-            strcmd.Append("SELECT");
-
-            bool bColFirst = true;
-            string strWork = string.Empty;
-            foreach (var gender in Enum.GetValues(typeof(ColumnCnt)))
+            try
             {
-                strWork = gender.ToString();
-                if (!bColFirst) strcmd.Append(",");
+                strcmd.AppendFormat("SELECT {0} FROM NotificationMessage", CreateFieldNameList());
 
-                if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
-                {
-                    strcmd.AppendFormat(" DATE_FORMAT({0}, '%Y/%m/%d %H:%i:%s')", strWork);
-                }
-                else if (strWork.Equals("MessageDate"))
-                {
-                    strcmd.AppendFormat(" DATE_FORMAT({0}, '%Y/%m/%d')", strWork);
-                }
-                else
-                {
-                    strcmd.AppendFormat(" {0}", strWork);
-                }
-                bColFirst = false;
+                return strcmd.ToString();
             }
-
-            strcmd.Append(" FROM NotificationMessage");
-
-            return strcmd.ToString();
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
         }
         #endregion
 
@@ -233,8 +259,8 @@
 
                 strcmd.AppendFormat(" STR_TO_DATE('{0}','%Y/%m/%d')", data.MessageDate.ToShortDateString());
                 strcmd.AppendFormat(", {0} ", data.SeqNo);
-                strcmd.AppendFormat(",'{0}'", data.MessageTitle);
-                strcmd.AppendFormat(",'{0}'", data.MessageContent);
+                strcmd.AppendFormat(", {0}", SeparateString(data.MessageTitle));
+                strcmd.AppendFormat(", {0}", SeparateString(data.MessageContent));
 
                 strcmd.AppendFormat(", {0} ", data.PersonCode.ToString());
                 strcmd.AppendFormat(", {0} ", data.ShareFlag.ToString());
@@ -289,8 +315,8 @@
 
                     strcmd.AppendFormat(" STR_TO_DATE('{0}','%Y/%m/%d')", work.MessageDate.ToShortDateString());
                     strcmd.AppendFormat(", {0} ", work.SeqNo);
-                    strcmd.AppendFormat(",'{0}'", work.MessageTitle);
-                    strcmd.AppendFormat(",'{0}'", work.MessageContent);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.MessageTitle));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.MessageContent));
 
                     strcmd.AppendFormat(", {0} ", work.PersonCode.ToString());
                     strcmd.AppendFormat(", {0} ", work.ShareFlag.ToString());
@@ -336,8 +362,8 @@
 
                 strcmd.AppendFormat(" MessageDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.MessageDate.ToShortDateString());
                 strcmd.AppendFormat(", SeqNo = {0} ", data.SeqNo);
-                strcmd.AppendFormat(", MessageTitle = '{0}'", data.MessageTitle.ToString());
-                strcmd.AppendFormat(", MessageContent = '{0}'", data.MessageContent.ToString());
+                strcmd.AppendFormat(", MessageTitle = {0}", SeparateString(data.MessageTitle));
+                strcmd.AppendFormat(", MessageContent = {0}", SeparateString(data.MessageContent));
                 strcmd.AppendFormat(", PersonCode = {0} ", data.PersonCode.ToString());
                 strcmd.AppendFormat(", ShareFlag = {0} ", data.ShareFlag.ToString());
                 strcmd.AppendFormat(", MessageColor = '{0}'", data.MessageColor.ToString());
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IONotificationMessageBrowsing.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IONotificationMessageBrowsing.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IONotificationMessageBrowsing.cs	(revision 484)
@@ -71,6 +71,48 @@
 
         #endregion
 
+        #region テーブルのフィールドリストを作成する
+        /// <summary>
+        /// テーブルのフィールドリストを作成する
+        /// </summary>
+        /// <returns></returns>
+        public static string CreateFieldNameList(string strAlias = "")
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.Append(" ");
+                bool bColFirst = true;
+                string strWork = string.Empty;
+                foreach (var gender in Enum.GetValues(typeof(ColumnCnt)))
+                {
+                    strWork = gender.ToString();
+                    if (!bColFirst) strcmd.Append(",");
+                    if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
+                    {
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d %H:%i:%s') As {1}", strAlias, strWork);
+                    }
+                    else if (strWork.Equals("MessageDate"))
+                    {
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d') As {1}", strAlias, strWork);
+                    }
+                    else
+                    {
+                        strcmd.AppendFormat(" {0}{1}", strAlias, strWork);
+                    }
+                    bColFirst = false;
+                }
+
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
+        }
+        #endregion
+
         #region お知らせ閲覧情報検索文字作成
         /// <summary>
         /// お知らせ閲覧情報検索文字作成
@@ -78,33 +120,17 @@
         private string CreateSelectSQL()
         {
             StringBuilder strcmd = new StringBuilder();
-            strcmd.Append("SELECT");
-
-            bool bColFirst = true;
-            string strWork = string.Empty;
-            foreach (var gender in Enum.GetValues(typeof(ColumnCnt)))
+            try
             {
-                strWork = gender.ToString();
-                if (!bColFirst) strcmd.Append(",");
+                strcmd.AppendFormat("SELECT {0} FROM NotificationMessageBrowsing", CreateFieldNameList());
 
-                if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
-                {
-                    strcmd.AppendFormat(" DATE_FORMAT({0}, '%Y/%m/%d %H:%i:%s')", strWork);
-                }
-                else if (strWork.Equals("MessageDate"))
-                {
-                    strcmd.AppendFormat(" DATE_FORMAT({0}, '%Y/%m/%d')", strWork);
-                }
-                else
-                {
-                    strcmd.AppendFormat(" {0}", strWork);
-                }
-                bColFirst = false;
+                return strcmd.ToString();
             }
-
-            strcmd.Append(" FROM NotificationMessageBrowsing");
-
-            return strcmd.ToString();
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
         }
         #endregion
 
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IONotificationMessageSelect.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IONotificationMessageSelect.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IONotificationMessageSelect.cs	(revision 484)
@@ -67,6 +67,48 @@
 
         #endregion
 
+        #region テーブルのフィールドリストを作成する
+        /// <summary>
+        /// テーブルのフィールドリストを作成する
+        /// </summary>
+        /// <returns></returns>
+        public static string CreateFieldNameList(string strAlias = "")
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.Append(" ");
+                bool bColFirst = true;
+                string strWork = string.Empty;
+                foreach (var gender in Enum.GetValues(typeof(ColumnCnt)))
+                {
+                    strWork = gender.ToString();
+                    if (!bColFirst) strcmd.Append(",");
+                    if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
+                    {
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d %H:%i:%s') As {1}", strAlias, strWork);
+                    }
+                    else if (strWork.Equals("MessageDate"))
+                    {
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d') As {1}", strAlias, strWork);
+                    }
+                    else
+                    {
+                        strcmd.AppendFormat(" {0}{1}", strAlias, strWork);
+                    }
+                    bColFirst = false;
+                }
+
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
+        }
+        #endregion
+
         #region お知らせ対象業者選択情報検索文字作成
         /// <summary>
         /// お知らせ対象業者選択情報検索文字作成
@@ -74,33 +116,17 @@
         private string CreateSelectSQL()
         {
             StringBuilder strcmd = new StringBuilder();
-            strcmd.Append("SELECT");
-
-            bool bColFirst = true;
-            string strWork = string.Empty;
-            foreach (var gender in Enum.GetValues(typeof(ColumnCnt)))
+            try
             {
-                strWork = gender.ToString();
-                if (!bColFirst) strcmd.Append(",");
+                strcmd.AppendFormat("SELECT {0} FROM NotificationMessageSelect", CreateFieldNameList());
 
-                if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
-                {
-                    strcmd.AppendFormat(" DATE_FORMAT({0}, '%Y/%m/%d %H:%i:%s')", strWork);
-                }
-                else if (strWork.Equals("MessageDate"))
-                {
-                    strcmd.AppendFormat(" DATE_FORMAT({0}, '%Y/%m/%d')", strWork);
-                }
-                else
-                {
-                    strcmd.AppendFormat(" {0}", strWork);
-                }
-                bColFirst = false;
+                return strcmd.ToString();
             }
-
-            strcmd.Append(" FROM NotificationMessageSelect");
-
-            return strcmd.ToString();
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
         }
         #endregion
 
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOOrdersPriceData.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOOrdersPriceData.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOOrdersPriceData.cs	(revision 484)
@@ -185,7 +185,7 @@
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')"
                                                 , work.ChangeDate.ToShortDateString());	    // 変更日
                 strcmd.AppendFormat(", {0}", work.ChangePersonCode);                    // 変更者コード
-                strcmd.AppendFormat(",'{0}'", work.ChangePersonName);                   // 変更者名
+                strcmd.AppendFormat(", {0}", SeparateString(work.ChangePersonName));    // 変更者名
                 
                 strcmd.AppendFormat(", {0}", work.BeforeValue);                         // 変更前税抜受注金額
                 strcmd.AppendFormat(", {0}", work.BeforeValueInTax);                    // 　〃　税込受注金額
@@ -192,7 +192,7 @@
                 strcmd.AppendFormat(", {0}", work.AfterValue);                          // 変更後税抜受注金額
                 strcmd.AppendFormat(", {0}", work.AfterValueInTax);                     // 　〃　税込受注金額
 
-                strcmd.AppendFormat(",'{0}'", work.ChangeComment);                      // 変更理由
+                strcmd.AppendFormat(", {0}", SeparateString(work.ChangeComment));       // 変更理由
 
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
@@ -239,7 +239,7 @@
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')"
                                                     , work.ChangeDate.ToShortDateString());	    // 変更日
                     strcmd.AppendFormat(", {0}", work.ChangePersonCode);                    // 変更者コード
-                    strcmd.AppendFormat(",'{0}'", work.ChangePersonName);                   // 変更者名
+                    strcmd.AppendFormat(", {0}", SeparateString(work.ChangePersonName));    // 変更者名
 
                     strcmd.AppendFormat(", {0}", work.BeforeValue);                         // 変更前税抜受注金額
                     strcmd.AppendFormat(", {0}", work.BeforeValueInTax);                    // 　〃　税込受注金額
@@ -246,7 +246,7 @@
                     strcmd.AppendFormat(", {0}", work.AfterValue);                          // 変更後税抜受注金額
                     strcmd.AppendFormat(", {0}", work.AfterValueInTax);                     // 　〃　税込受注金額
 
-                    strcmd.AppendFormat(",'{0}'", work.ChangeComment);                      // 変更理由
+                    strcmd.AppendFormat(", {0}", SeparateString(work.ChangeComment));       // 変更理由
 
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
@@ -288,9 +288,9 @@
 
                 strcmd.AppendFormat(",ChangeNo = {0}", data.ChangeNo);	                                // 変更番号
                 strcmd.AppendFormat(",ChangeDate = STR_TO_DATE('{0}','%Y/%m/%d')"
-                                        , data.ChangeDate.ToShortDateString());	                            // 変更日
+                                        , data.ChangeDate.ToShortDateString());	                        // 変更日
                 strcmd.AppendFormat(",ChangePersonCode = {0}", data.ChangePersonCode);                  // 変更者コード
-                strcmd.AppendFormat(",ChangePersonName = '{0}'", data.ChangePersonName);                // 変更者名
+                strcmd.AppendFormat(",ChangePersonName = {0}", SeparateString(data.ChangePersonName));  // 変更者名
                 
                 strcmd.AppendFormat(",BeforeValue = {0}", data.BeforeValue);                            // 変更前税抜受注金額
                 strcmd.AppendFormat(",BeforeValueInTax = {0}", data.BeforeValueInTax);                  // 　〃　税込受注金額
@@ -297,7 +297,7 @@
                 strcmd.AppendFormat(",AfterValue = {0}", data.AfterValue);                              // 変更後税抜受注金額
                 strcmd.AppendFormat(",AfterValueInTax = {0}", data.AfterValueInTax);                    // 　〃　税込受注金額
 
-                strcmd.AppendFormat(",ChangeComment = '{0}'", data.ChangeComment);                      // 変更理由
+                strcmd.AppendFormat(",ChangeComment = {0}", SeparateString(data.ChangeComment));        // 変更理由
 
                 strcmd.Append(", UpdateDate = NOW()");
                 strcmd.Append(AddSQLString);
@@ -351,18 +351,18 @@
             try
             {
                 // データ取得
-                wrk.ConstructionCode = int.Parse(objwrk[(int)TableColumn.ConstructionCode].ToString());                   // 工事コード
-                wrk.ChangeNo = int.Parse(objwrk[(int)TableColumn.ChangeNo].ToString());	                                // 変更番号
+                wrk.ConstructionCode = int.Parse(objwrk[(int)TableColumn.ConstructionCode].ToString());                     // 工事コード
+                wrk.ChangeNo = int.Parse(objwrk[(int)TableColumn.ChangeNo].ToString());	                                    // 変更番号
                 wrk.ChangeDate = DateTime.Parse(objwrk[(int)TableColumn.ChangeDate].ToString());	                        // 変更日
-                wrk.ChangePersonCode = int.Parse(objwrk[(int)TableColumn.ChangePersonCode].ToString());                   // 変更者コード
-                wrk.ChangePersonName = objwrk[(int)TableColumn.ChangePersonName].ToString();                              // 変更者名
+                wrk.ChangePersonCode = int.Parse(objwrk[(int)TableColumn.ChangePersonCode].ToString());                     // 変更者コード
+                wrk.ChangePersonName = objwrk[(int)TableColumn.ChangePersonName].ToString();                                // 変更者名
 
-                wrk.BeforeValue = int.Parse(objwrk[(int)TableColumn.BeforeValue].ToString());                             // 変更前税抜受注金額
-                wrk.BeforeValueInTax = int.Parse(objwrk[(int)TableColumn.BeforeValueInTax].ToString());                   // 　〃　税込受注金額
-                wrk.AfterValue = int.Parse(objwrk[(int)TableColumn.AfterValue].ToString());                               // 変更後税抜受注金額
-                wrk.AfterValueInTax = int.Parse(objwrk[(int)TableColumn.AfterValueInTax].ToString());                     // 　〃　税込受注金額
+                wrk.BeforeValue = long.Parse(objwrk[(int)TableColumn.BeforeValue].ToString());                              // 変更前税抜受注金額
+                wrk.BeforeValueInTax = long.Parse(objwrk[(int)TableColumn.BeforeValueInTax].ToString());                    // 　〃　税込受注金額
+                wrk.AfterValue = long.Parse(objwrk[(int)TableColumn.AfterValue].ToString());                                // 変更後税抜受注金額
+                wrk.AfterValueInTax = long.Parse(objwrk[(int)TableColumn.AfterValueInTax].ToString());                      // 　〃　税込受注金額
 
-                wrk.ChangeComment = objwrk[(int)TableColumn.ChangeComment].ToString();                                    // 変更理由
+                wrk.ChangeComment = objwrk[(int)TableColumn.ChangeComment].ToString();                                      // 変更理由
 
                 wrk.EntryDate = DateTime.Parse(objwrk[(int)TableColumn.EntryDate].ToString());
                 wrk.UpdateDate = DateTime.Parse(objwrk[(int)TableColumn.UpdateDate].ToString());
@@ -406,22 +406,22 @@
                         strcmd.AppendFormat(" ChangePersonCode = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.ChangePersonName:         // 変更者名
-                        strcmd.AppendFormat(" ChangePersonName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" ChangePersonName = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.BeforeValue:              // 変更前税抜受注金額
-                        strcmd.AppendFormat(" BeforeValue = {0}", ((double)value).ToString());
+                        strcmd.AppendFormat(" BeforeValue = {0}", ((long)value).ToString());
                         break;
                     case (int)TableColumn.BeforeValueInTax:         // 　〃　税込受注金額
-                        strcmd.AppendFormat(" BeforeValueInTax = {0}", ((double)value).ToString());
+                        strcmd.AppendFormat(" BeforeValueInTax = {0}", ((long)value).ToString());
                         break;
                     case (int)TableColumn.AfterValue:               // 変更後税抜受注金額
-                        strcmd.AppendFormat(" AfterValue = {0}", ((double)value).ToString());
+                        strcmd.AppendFormat(" AfterValue = {0}", ((long)value).ToString());
                         break;
                     case (int)TableColumn.AfterValueInTax:          // 　〃　税込受注金額
-                        strcmd.AppendFormat(" AfterValueInTax = {0}", ((double)value).ToString());
+                        strcmd.AppendFormat(" AfterValueInTax = {0}", ((long)value).ToString());
                         break;
                     case (int)TableColumn.ChangeComment:            // 変更理由
-                        strcmd.AppendFormat(" ChangeComment = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" ChangeComment = {0}", SeparateString(value.ToString()));
                         break;
                 }
 
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPaymentApprovalInfo.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPaymentApprovalInfo.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPaymentApprovalInfo.cs	(revision 484)
@@ -212,7 +212,7 @@
                     strcmd.AppendFormat(", {0}", work.LineCount.ToString());
                     strcmd.AppendFormat(", {0}", work.ApprovalNo.ToString());
                     strcmd.AppendFormat(", {0}", work.ApprovalPerson.ToString());
-                    strcmd.AppendFormat(", '{0}'", work.ApprovalPersonName);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.ApprovalPersonName));
                     strcmd.AppendFormat(", {0}", work.ApprovalAuthority.ToString());
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')", work.ApprovalDate.ToShortDateString());
 
@@ -262,7 +262,7 @@
                 strcmd.AppendFormat(", {0}", data.LineCount.ToString());
                 strcmd.AppendFormat(", {0}", data.ApprovalNo.ToString());
                 strcmd.AppendFormat(", {0}", data.ApprovalPerson.ToString());
-                strcmd.AppendFormat(", '{0}'", data.ApprovalPersonName);
+                strcmd.AppendFormat(", {0}", SeparateString(data.ApprovalPersonName));
                 strcmd.AppendFormat(", {0}", data.ApprovalAuthority.ToString());
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')", data.ApprovalDate.ToShortDateString());
 
@@ -306,7 +306,7 @@
                 strcmd.AppendFormat(", LineCount = {0}", data.LineCount);
                 strcmd.AppendFormat(", ApprovalNo = {0}", data.ApprovalNo);
                 strcmd.AppendFormat(", ApprovalPerson = {0}", data.ApprovalPerson);
-                strcmd.AppendFormat(", ApprovalPersonName = '{0}'", data.ApprovalPersonName);
+                strcmd.AppendFormat(", ApprovalPersonName = {0}", SeparateString(data.ApprovalPersonName));
                 strcmd.AppendFormat(", ApprovalAuthority = {0}", data.ApprovalAuthority);
                 strcmd.AppendFormat(", ApprovalDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.ApprovalDate.ToShortDateString());
 
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPeriodAvoidance.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPeriodAvoidance.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPeriodAvoidance.cs	(revision 484)
@@ -16,7 +16,7 @@
 namespace ProcessManagement.DB.IOAccess
 {
     /// <summary>
-    /// 期限マスタアクセスクラス
+    /// 工事期限回避データアクセスクラス
     /// </summary>
     public class IOPeriodAvoidance : MySqlProcess
     {
@@ -29,7 +29,7 @@
 
         #region 定数
         /// <summary>
-        /// 行動予定フィールド並び
+        /// 工事期限回避データフィールド並び
         /// </summary>
         public enum NameColumn
         {
@@ -53,12 +53,71 @@
 
         #endregion
 
-        #region 行動予定検索
+        #region テーブルのフィールドリストを作成する
         /// <summary>
-        /// 行動予定検索
+        /// テーブルのフィールドリストを作成する
         /// </summary>
+        /// <returns></returns>
+        public static string CreateFieldNameList(string strAlias = "")
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.Append(" ");
+                bool bColFirst = true;
+                string strWork = string.Empty;
+                foreach (var gender in Enum.GetValues(typeof(NameColumn)))
+                {
+                    strWork = gender.ToString();
+                    if (!bColFirst) strcmd.Append(",");
+                    if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
+                    {
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d %H:%i:%s') As {1}", strAlias, strWork);
+                    }
+                    else
+                    {
+                        strcmd.AppendFormat(" {0}{1}", strAlias, strWork);
+                    }
+                    bColFirst = false;
+                }
+
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
+        }
+        #endregion
+
+        #region 検索文字列作成
+        /// <summary>
+        /// 検索文字列作成
+        /// </summary>
+        private string CreateSelectSQL()
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.AppendFormat("SELECT {0} FROM PeriodAvoidance", CreateFieldNameList());
+
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
+        }
+        #endregion
+
+        #region 工事期限回避データ検索
+        /// <summary>
+        /// 工事期限回避データ検索
+        /// </summary>
         /// <param name="AddSQLString">検索条件SQL文字列</param>
-        /// <param name="data">行動予定データ</param>
+        /// <param name="data">工事期限回避データデータ</param>
         /// <returns>true：成功 false：失敗</returns>
         public bool SelectAction(string AddSQLString, ref List<PeriodAvoidance> data, bool bConnect = true)
         {
@@ -68,14 +127,7 @@
 
             try
             {
-                // SQL作成
-                strcmd.Append("SELECT");
-                strcmd.Append(" ConstructionCode");
-                strcmd.Append(", ConstructionStatusFlg");
-                strcmd.Append(", FieldNo");
-                strcmd.Append(", DATE_FORMAT(EntryDate,'%Y/%m/%d %H:%i:%s')");
-                strcmd.Append(", DATE_FORMAT(UpdateDate,'%Y/%m/%d %H:%i:%s')");
-                strcmd.Append(" FROM PeriodAvoidance");
+                strcmd.Append(CreateSelectSQL());
                 strcmd.Append(AddSQLString);
 
                 // SQL実行
@@ -100,11 +152,11 @@
         }
         #endregion
 
-        #region 行動予定追加（1件）
+        #region 工事期限回避データ追加（1件）
         /// <summary>
-        /// 行動予定追加（1件）
+        /// 工事期限回避データ追加（1件）
         /// </summary>
-        /// <param name="data">行動予定データ</param>
+        /// <param name="data">工事期限回避データデータ</param>
         /// <returns>true：成功 false：失敗</returns>
         public bool OneRecInsertAction(PeriodAvoidance data, bool bConnect = true)
         {
@@ -142,9 +194,9 @@
         }
         #endregion
 
-        #region 行動予定追加
+        #region 工事期限回避データ追加
         /// <summary>
-        /// 行動予定追加
+        /// 工事期限回避データ追加
         /// </summary>
         /// <param name="data"></param>
         /// <param name="bConnect"></param>
@@ -193,12 +245,12 @@
         }
         #endregion
 
-        #region 行動予定更新
+        #region 工事期限回避データ更新
         /// <summary>
-        /// 行動予定更新
+        /// 工事期限回避データ更新
         /// </summary>
         /// <param name="AddSQLString">更新条件SQL文字列</param>
-        /// <param name="data">行動予定データ</param>
+        /// <param name="data">工事期限回避データデータ</param>
         /// <returns>true：成功 false：失敗</returns>
         public bool UpdateAction(string AddSQLString, PeriodAvoidance data, bool bConnect = true)
         {
@@ -228,12 +280,12 @@
         }
         #endregion
 
-        #region 行動予定削除
+        #region 工事期限回避データ削除
         /// <summary>
-        /// 行動予定削除
+        /// 工事期限回避データ削除
         /// </summary>
         /// <param name="AddSQLString">削除条件SQL文字列</param>
-        /// <param name="data">行動予定データ</param>
+        /// <param name="data">工事期限回避データデータ</param>
         /// <returns>true：成功 false：失敗</returns>
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
